using System;

namespace Sasa.QualityTools.DrFx.Tests.Violation.CSharp.Microsoft.Usage
{
    public static class Rule2230
    {
        // このメソッドは CA2230 に違反しています。
        public static void VariableArguments(__arglist)
        {
            ArgIterator argumentIterator = new ArgIterator(__arglist);
            for (int i = 0; i < argumentIterator.GetRemainingCount(); i++)
            {
                Console.WriteLine(__refvalue(argumentIterator.GetNextArg(), string));
            }
        }
    }
}
